#!/bin/sh

# Developed by Christopher David Zenzel
# You must have GDAL and NBSP installed to your system
# You don't have to run the nbspd daemon to run this script.

# Use this script wisely to conserve bandwidth.

export LD_LIBRARY_PATH=/opt/local/lib:$LD_LIBRARY_PATH
export GDAL=/opt/local/bin
export NBSP=..

export EAST="-123.044 59.844 -65.091 14.335"
export WEST="-152.855 54.536 -92.720 17.514"

curl -o "tige04.gini" "http://www.opennoaaport.net:8015/rst/sat/gini/tig/tige04/latest"
curl -o "tigw04.gini" "http://www.opennoaaport.net:8015/rst/sat/gini/tig/tigw04/latest"

$NBSP/nbspsat -o "tige04.png" "tige04.gini"
$NBSP/nbspsat -o "tigw04.png" "tigw04.gini"

rm -rf tige04_gis.png tigw04_gis.png tige04_a.png tigw04_a.png

gdal_translate -a_ullr $EAST "tige04.png" "tige04_a.png"

gdal_translate -a_ullr $WEST "tigw04.png" "tigw04_a.png"

gdalwarp -t_srs '+proj=merc' "tigw04_a.png" "tigw04_gis.png"
gdalwarp -t_srs '+proj=merc' "tige04_a.png" "tige04_gis.png"

rm -rf tigw04_a.png tige04_a.png tige04.png tigw04.png tigw04.gini tige04.gini tig04.png

python $GDAL/gdal_merge.py tigw04_gis.png tige04_gis.png -o tig04.png
