#!/bin/sh

# Developed by Christopher David Zenzel
# You must have GDAL and NBSP installed to your system
# You don't have to run the nbspd daemon to run this script.

# Use this script wisely to conserve bandwidth.

export LD_LIBRARY_PATH=/opt/local/lib:$LD_LIBRARY_PATH
export GDAL=/opt/local/bin
export NBSP=..

export EAST="-123.044 59.844 -65.091 14.335"
export WEST="-152.855 54.536 -92.720 17.514"

curl -o "tige01.gini" "http://www.opennoaaport.net:8015/rst/sat/gini/tig/tige01/latest"
curl -o "tigw01.gini" "http://www.opennoaaport.net:8015/rst/sat/gini/tig/tigw01/latest"

$NBSP/nbspsat -o "tige01.png" "tige01.gini"
$NBSP/nbspsat -o "tigw01.png" "tigw01.gini"

rm -rf tige01_gis.png tigw01_gis.png tige01_a.png tigw01_a.png

gdal_translate -a_ullr $EAST "tige01.png" "tige01_a.png"

gdal_translate -a_ullr $WEST "tigw01.png" "tigw01_a.png"

gdalwarp -t_srs '+proj=merc' "tigw01_a.png" "tigw01_gis.png"
gdalwarp -t_srs '+proj=merc' "tige01_a.png" "tige01_gis.png"

rm -rf tigw01_a.png tige01_a.png tige01.png tigw01.png tigw01.gini tige01.gini tig01.png

python $GDAL/gdal_merge.py tigw01_gis.png tige01_gis.png -o tig01.png
