#!/bin/sh

# Developed by Christopher David Zenzel
# You must have GDAL and NBSP installed to your system
# You don't have to run the nbspd daemon to run this script.

# Use this script wisely to conserve bandwidth.

export LD_LIBRARY_PATH=/opt/local/lib:$LD_LIBRARY_PATH
export GDAL=/opt/local/bin
export NBSP=..

export EAST="-123.044 59.844 -65.091 14.335"
export WEST="-152.855 54.536 -92.720 17.514"

curl -o "tige05.gini" "http://www.opennoaaport.net:8015/rst/sat/gini/tig/tige05/latest"
curl -o "tigw05.gini" "http://www.opennoaaport.net:8015/rst/sat/gini/tig/tigw05/latest"

$NBSP/nbspsat -o "tige05.png" "tige05.gini"
$NBSP/nbspsat -o "tigw05.png" "tigw05.gini"

rm -rf tige05_gis.png tigw05_gis.png tige05_a.png tigw05_a.png

gdal_translate -a_ullr $EAST "tige05.png" "tige05_a.png"

gdal_translate -a_ullr $WEST "tigw05.png" "tigw05_a.png"

gdalwarp -t_srs '+proj=merc' "tigw05_a.png" "tigw05_gis.png"
gdalwarp -t_srs '+proj=merc' "tige05_a.png" "tige05_gis.png"

rm -rf tigw05_a.png tige05_a.png tige05.png tigw05.png tigw05.gini tige05.gini tig05.png

python $GDAL/gdal_merge.py tigw05_gis.png tige05_gis.png -o tig05.png
